Rune Release Notes

Rune
Developed by: Human Head Studios, Inc.
Published by: Gathering Of Developers

---

STARTING RUNE

To start Rune:

1. Click on the "Start" button at the bottom of the screen.

2. Move the mouse to the "Programs" choice.

3. Move the mouse to the "Rune" choice.

4. Click on the "Play Rune" icon.

---

For the latest version of this document

http://www.runegame.com/support.php?loc=Release_Notes

For the latest information and updates

http://www.runegame.com/downloads.php

Technical Support

http://www.runegame.com/support.php

---

Level Editors- IMPORTANT NOTE!!

RuneEd License, Restrictions and Prohibitions Document and Installation and Troubleshooting Document

Editor and End-user Variations.

This CD includes a non-supported, AS-IS version of the RuneEd Level Editor. An "Editor" is a feature which allows you to modify the Software or to construct new variations for use with it. These modifications and variations can be both playable and non-playable. An Editor includes its associated tools and utilities. An Editor is NOT shareware. You may not freely distribute it to any BBS, CD, floppy or any other media. You may not sell it or repackage it for sale. Because the enclosed version is released AS-IS, it may contain bugs or glitches which may affect the successful creation and operation of levels and other functions. Technical support is not available from Human Head Studios, Inc. or Gathering of Developers. Furthermore, this Editor is based upon a modified version of the UnrealEd Editor from Epic Games and, as such, is subject to the prohibitions and restrictions of the original Editor as listed at

Using the RuneEd Editor, you may create modifications or enhancements to the Rune game, including the construction of new levels (collectively referred to as "Variations"), subject to the following restrictions:

i. Your Variations must only work with the full, registered copy of the Software, not independently or with any other software.

ii. Your Variations must not contain modifications to any executable file.

iii. Your Variations must not contain any libelous, defamatory, or other illegal material, material that is scandalous or invades the rights of privacy or publicity of any third party, or contains any trademarks, copyright-protected work, or other recognizable property of third parties.

iv. Your variations shall not be supported by Human Head Studios, Inc. or Gathering of Developers, or any of such parties affiliates and subsidiaries.

v. Your Variations must be distributed solely for free. Neither you nor any other person or party may sell them to anyone, commercially exploit them in any way, or charge anyone for using them without a license from Epic Games, maker of the original Unreal Editor upon which the RuneEd Editor is based. You may, however, exchange them at no charge among other end-users and distribute them to others over the Internet for free.

vi. The prohibitions and restrictions in this section apply to anyone in possession of Rune or any of your Variations.

How to get RuneEd to run on your machine:

First, check if RuneEd runs correctly. To start-up RuneEd, click on the Start Menu,

go to Programs, then chose Rune and finally chose Rune Editor (alternatively, the editor executable

is located in the Rune\System directory). If the editor runs fine, then you're all set!

Please note, if you have UnrealEd v1.0 (the editor released with Unreal and Unreal Tournament) installed and

it loads correctly, then you should not have any problems loading RuneEd.

If the editor does not run fine and an error message appears, then you might be missing some

File(s) necessary to run the editor. These files can be obtained through two different methods:

Method One:

Epic Games has released a fix for UnrealEd, called UnrealFix4.exe and is on their website at http://unreal.epicgames.com/UnrealEd.htm..

Method Two:

The files necessary to run RuneEd are contained within the EditorFix directory on the Rune CD.

All of these files need to be copied to your Windows\System directory (usually C:\Windows\System).

NOTE: Doing this incorrectly could cause problems with your system. Only copy these files if you

are an experienced computer user (or don't care if you potentially mess things up :). When you

copy these files, it's possible that your computer already contains a version of these files. If this

IS the case, it is recommended that you choose whichever file is the more recent of the two.

Once these files are copied, you may need to reboot your machine. After that, run RuneEd again and

happy mapping!

Where do you go from here?

Your first stop should be the official Rune website:

http://www.runegame.com

You can also check these Rune fansites for further information about creating your own masterpiece levels.

http://www.runenews.com

http://www.runecenter.com

---

Troubleshooting

Lockups

If Rune locks up or crashes when you first run it, try starting Rune via the "Rune Safe Mode" icon available in the Start menu (Start/Programs/Rune/Rune Safe Mode). This mode is similar to Windows's Safe Mode. It runs Rune with sound, DirectDraw, and 3D hardware support disabled. This way, you can modify the options in Rune's "Advanced Options" menu that may be causing problems, then run Rune again.

Crashes

If Rune stops with a "Rune has run out of virtual memory" message, you need to free up more hard disk space on your primary drive (C:) in order to play. Rune's large levels and rich textures take up a lot of virtual memory. We recommend having 150 megabytes of free hard disk space for running the game, and 300 megabytes or more of free hard disk space for the editor.

Direct X Drivers

Rune requires that you have Direct X 7.0 or later installed on your computer. Rune includes Direct X 7.0a as an installation option. If you do not have at least Direct X 7.0, check the box for Install Direct X 7 in the installation menu. Microsoft upgrades the Direct X drivers regularly. For the latest version of Direct X, click here.

Video Modes

The first time you rune Rune, and each time you choose to change you video mode, you will be presented with a selection screen that lists both certified, compatible devices with an option to show all devices. It may be necessary to show all devices for you to run the game in Direct3D or OpenGL on certain video cards. MAKE SURE YOU HAVE DOWNLOADED THE LATEST VIDEO DRIVERS FROM THE MANUFACTURER OF YOUR VIDEO CARD. This solves the VAST majority of video issues. If you haven't done so in the last three months, chances are, your video drivers are out of date. Select the preferred video mode according to the notes listed below:

D3D Notes

If you get an "Failed to preallocate initial textures. Make certain you have the latest drivers installed for your video card." message, please make sure you have downloaded the most recent drivers for your video card. Our testing has shown that this error can occur on some Rage 128 and VooDoo 2 cards with old drivers.

Specific Video Card Notes

ATI Rage 128 Fury and Radeon Cards (click here to access the ATI website)

We recommend running Direct3D 32-bit color depth as the preferred video mode. You may also run in OpenGL mode, though you may encounter slower performance. As of this date, the current release version drivers for the Radeon are 4.12.3056. However, you will need to upgrade to the beta version drivers provided by ATI (version number: 4.12.3063) for complete compatibility.

---

Matrox G400 Series (click here to access the Matrox website)

We recommend running Direct3D 32-bit color depth as the preferred video mode. You may also run in OpenGL mode, though you may encounter slower performance.

---

NVidia Chipset Cards (TNT, TNT2 Ultra, GeForce, GeForce2, GeForceMX and GeForce2 Ultra Cards) (click here to access the Nvidia website)

We recommend running Rune in Direct3D mode first. Rune is optimized for D3D on these cards. We recommend running in 32-bit color depth, as this presents the best possible visuals for the game. You may also run the game in OpenGL on these cards, but you will encounter lower performance rates than with Direct3D. We do not recommend running Rune with a Riva128 Card.

---

S3 Savage 4 and Savage 2000 Chipset Cards (click here to access the S3 website)

We recommend running in Direct3D 32-bit color modes for best visual performance. You may obtain faster performance in S3's proprietary MeTaL video mode, but this mode is provided as is, and you may notice visual anomalies. You may also run in OpenGL mode, though you may encounter slower performance.

---

VooDoo Chipset Cards (click here to access the 3Dfx website)

q VooDoo2, VooDoo Banshee and VooDoo 3 Chipset Cards

We recommend running Rune in Glide as your primary video mode. You will encounter best performance in this mode. You may also run Direct3D in 16-bit mode, though you will suffer a visual performance hit. OpenGL runs VERY SLOW on VooDoo cards, and we do not recommend running the game in OpenGL on these cards.

q VooDoo4 and VooDoo5 Chipset Cards

We recommend running in Glide for fastest performance, or Direct3D 32-bit color depth for best visual performance. The speed of the game in both of these modes will be very fast so you should choose the video mode that best suits you. OpenGL runs VERY SLOW on VooDoo cards, and we do not recommend running the game in OpenGL on these cards.

---

All Other Video Cards

If your card supports hardware 3D acceleration, we recommend running the game in Direct3D 32-bit color depth for best visual performance, and Direct3D 16-bit for best speed performance. If your card does not support hardware 3D acceleration, we recommend using the software render mode. The software renderer for Rune is provided AS IS. You may encounter visual anomalies and slow performance. We HIGHLY RECOMMEND the use of a 3D hardware accelerator with Rune.

Video Notes

Some older DirectDraw drivers do not support low resolution 16- and 32-bit color modes (for example, 320x240, 400x300, and 512x384). If you are playing Rune using software rendering, this is unfortunate because the higher resolution modes like 640x400 and 640x480 run significantly slower than the low resolution modes. If the only full-screen options shown in Rune are high-res, you might try obtaining a newer DirectDraw driver for your video card.

Some video drivers do not properly support DirectDraw full-screen in 16- or 32-bit color at any resolution. If you are unable to play Rune full-screen, you should obtain a newer driver from your video board manufacturer. If you can't find a working DirectDraw driver, you can still play Rune in a window, though the performance and immersion are not as good as playing full-screen.

On nearly all machines, Rune runs optimally in 32-bit color mode (rather than 16-bit color). You can select 32-bit color either from the main Rune window. Currently, Rune defaults to 32-bit color, so you will want to change this in the video settings if you require faster performance.

To maintain a consistent frame rate despite a large number of translucent surfaces and/or explosion effects in software rendering, you might want to set "SlowVideoBuffering" to "True" in the "Advanced Options/Display" menu.

Sound Issues

You can obtain faster performance on lower end machines by selecting low audio quality from the Audio Tab in the Options Menu.

The Rune audio engine currently defaults to (16) channels of audio for single player mode and (8) channels for multiplayer mode. Users with fast machines and at least 128 Megs of RAM would greatly benefit by increasing the amount of sound effect channels to 24 or 36. To change this setting: Enter Runes Main Menu and select ‘Options’. On the options page select ‘Game’ tab to enter Runes global settings. On the bottom of the page click the ‘Advanced Options’ tab. This will open the Advanced Settings menu. Click the ‘Audio’ check box and set the ‘Effects Channels’ to 24 or 32. For even better sound, set the ‘Output Rate’ to ’44,100Hz’. PLEASE NOTE that you will need to EXIT Rune and RESTART it before the changes will take place.

Hardware Acceleration:

If using a Creative Labs EAX or Aureal A3D 3D sound accelerator board such as the Diamond Monster Sound 3D, you need to go into the Audio tab of the Options menu and check "Use3dHardware" to enable 3D sound card support. You should obtain the newest upgrade to your sound card from the manufacturer for best performance. Using Rune in conjunction with old versions of the drivers causes severe performance problems (major slowdowns on the order of 30-50% while playing sound). For the latest drivers, check with the manufacturer of your card or these websites for additional information:

Creative Labs (click the link for the Creative Labs website)- makers of SoundBlaster Series of Sound Cards and the EAX sound system

Aureal Inc. (click the link for the Aureal, Inc. website)- makers of the A3D sound system

If your computer is hooked up to a Dolby SurroundSound receiver, you should go into the Audio tab of the Options menu and check the "UseSurround" to take advantage of 360-degree Dolby sound panning, which rocks.

Known sound issues:

· Because of the way the OS works, many Windows NT machines experience significant latency in their sound effects, sometimes up to 1/4th second.

· If you have an Aureal A3D sound card with Unreal 3D sound enabled, you must disable the Aureal's "A3D Splash Screen" in the Aureal configuration utility. If this is not disabled, Rune may be unable to go into full-screen mode because of the splash screen interfering.

· On some IBM Aptiva computers equipped with MWAVE sound cards, no sound is audible in Rune. This is a sound card driver problem, which has since been fixed. Download the latest MWAVE drivers from IBM's web site to restore your sound in Rune.

Network play issues

· 56k Modems or better

· Cable or DSL connections, or LAN connections via T-1/T-3 recommended

To obtain best performance, use a dedicated server for multiplayer. If no machine can be spared as a dedicated server, make sure the fastest machine being used is set up as the server.

Control issues

Some PC keyboards can't recognize certain combinations of 3 or more simultaneously pressed keys. Otherwise, key mapping is completely customizable to the player.

Processor issues

Rune contains special optimizations for the 3dNow! instruction set. These optimizations are automatically enabled when running Rune on a 3dNow! equipped computer.

Gore Levels

Rune is by nature a violent game about a time when swords and axes were the preferred method of settling a dispute. It is intended for Mature audiences aged 17 or above. For those who wish to play the game at a reduced level of violence, however, we have included violence controls to lower the level of violence. There are three levels of gore settings, which can be changed from the 'Game' Tab of the 'Options' Menu. These setting are:

Normal:

Full animated gore and violence

blood splatters, arms and heads can be cut off, bloody footprints and blood decals from splash

Low Gore

Limited Animated gore and violence

No bloodpslat decals, no bloody footprints, no severed limbs (still has blood spray from hits, painskins and bloody weapons)

Ultra Low

No gore or blood

Advanced Options

To access the Advanced Options menu, go to Options -> Game -> Advanced Options. Some of the more useful options you can customize are:

Audio

AmbientFactor: Scaled ambient sound effects relative to regular sound effects. Can be 0.0 - 1.0, defaults to 0.6.

EffectsChannels: Number of simultaneously playing sound effects. Defaults to 16. Use a lower number to increase performance, at the expense of sound detail.

LowSoundQuality: Increases performance and reduces memory usage, by substituting lower-quality versions of sounds.

OutputRate: The sound playback rate. The higher the number, the better the sound quality and the slower the performance. 11025Hz is medium quality, 44100 is CD-quality.

Use3dHardware: Enables support for Creative Labs' EAX and Aureal A3D sound cards.

UseDirectSound: Enables DirectSound support.

UseReverb: Enables and disables echos and reverb.

UseSurround: Enables Dolby SurroundSound(tm) support. Requires that your computer is hooked up to a Dolby SurroundSound(tm) receiver. Works with all sound cards.

Display

CaptureMouse: When enabled, causes Rune to hide the mouse cursor when you are playing within a window.

LowDetailTextures: Increases performance and reduces memory usage by substituting lower quality textures. Great for low-memory machines.

NoLighting: Turns off all lighting within the game. Looks ugly, but increases performance on low-end machines.

StartupFullscreen: Whether to start up with the game running in a window, or full-screen.

UseDirectDraw: Enables DirectDraw full-screen rendering support.

UseJoystick: Enables joystick support.

Drivers

GameRenderDevice: The driver for 3D rendering during gameplay. If you install new 3D hardware, go into Advanced Options and change this.

Joystick

InvertVertical: Inverts vertical joystick movement, for people who prefer flight simulator style controls.

ScaleRUV: Scales the sensitivity of the trackball or advanced joystick axes.

ScaleXYZ: Scales the regular joystick axis sensitivity.

Networking / TCP/IP Network Play

DefaultByteLimit: The default transmission rate. You should set this to reflect the speed of your Internet connection, in order to maximize performance:

· On 56K modem connections, use 3600.

· On LAN connections, use 25000.

The Connection speed combo box under Player options can be used to choose from some preset speed levels such as 56K, ISDN, and T1/Cable.

Rendering

Here, there are rendering options for each 3D rendering driver installed on the system.

Coronas: Enables translucent coronas around lightsources.

DetailTextures: Enables special ultra-high resolution textures which add detail to complex surfaces when you get up close.

HighDetailActors: Enables rendering of high detail objects in the world. This should be turned on for fast machines, and turned off for slow machines.

ShinySurfaces: Enables shiny (reflective) surfaces.

VolumetricLighting: Enables space-filling, volumetric lighting and fog. Only visible on some 3D hardware drivers, and in the software renderer on MMX PC's.

Recording Demos

You can make a recording of game play for demonstration purposes. This feature is included AS IS, meaning that you may encounter certain performance issues such as certain animations not functioning properly or looking odd during playback. Demos can be created from the console only. Hit <Tab> or <~> to access the command console. The commands for this mode are as follows:

DemoRec <Name> Records a demo under the file name given

StopDemo Stops the current recording

DemoPlay <Name> Plays the recorded demo saved under the given name.

Performance tips

Our focus in creating Rune has been to deliver a next-generation game that brings 3d gaming to a new level of realism. That is good. A side effect of this is that Rune has the same performance issues as Unreal in running slower than past 3dgames on older or low-end PC's. That is bad...but it's an inevitable result of the large quantity of high-detail artwork; open, realistic, and high-detail environments; and high-detail animations in the game.

What follows are some tips on how to up Rune's performance on machines where the game runs slowly.

Low Detail Settings

The "Advanced Options" menu contains many settings that enable you to trade off detail for performance. Here are the choices:

Display / Low Detail Textures: Trades memory for texture detail (resolution). When on, reduces memory usage by 5 megabytes on average. Recommended for slow PC's and PC's with low memory.

Audio / Low Sound Quality: Trades memory for sound quality. Turning this on reduces sounds to 8-bit, saving a significant amount of memory.

Audio / OutputRate: Trades speed for sound quality.

· 11025 Hz: Medium sound mixing quality; best for non-MMX machines.

· 22050 Hz: High sound mixing quality; the default.

· 44100 Hz: Ultra high sound quality.

Audio / EffectsChannels: Trades speed for sound realism. The default is a highly realistic 16 channels of sound. On slower machines, you may want to change this number to 8 or 12.

Memory

Rune's performance is highly dependent on the amount of RAM you have in your machine, and the amount of memory that is available. Machines with less memory will access their hard disk more frequently to load data, which causes sporadic pauses in gameplay. Thus, if you have a 64 megabyte (or less) machine, you should make sure that you don't have other unnecessary programs loaded in memory when playing Rune.

How Rune will perform under different RAM conditions:

· 64 megabytes: This is the minimum required amount of RAM required to run the game. You will encounter slower performance due to machines accessing the hard drive to load data.

· 128 megabytes: This is the recommended amount of RAM for RUNE to run at its intended performance level.

· 256 megabytes or more: You will encounter terrific performance even on slower CPU machines.

In short, get 128MB or more if you want this game to really shine!

CPU Speed

Rune is also very sensitive to CPU speed, memory bandwidth, and cache performance. Thus, it runs far better on leading-edge processors such as AMD Athlon or Intel Pentium III based machines than it does on older machines.

How Rune will perform on different classes of machines:

· Pentium II; K6-2/ K6-3 with 3DNow!: Very nice rendering speed; consistent frame rate.

· Pentium III, or Athlon machines: Very good performance. You should experiment with the settings for best performance, but at 640x480, by 32-bit color depth, you should be able to run the game quite smoothly with all options set to their highest settings.

Considering upgrading?

For people considering upgrading their machines, here are some tips based on our experience running Rune on a variety of machines:

1. If you have a Pentium II or AMD k6-2 or k6-3 class machine, the best performance increase you can get will be with adding more RAM. We recommend increasing your system RAM to 128MB or 256MB if you have the resources to do so.

2. Another performance gain you can get in Rune, as in Unreal comes from having an AMD Athlon or Intel Pentium III class processor or better. These processors have dramatically improved cache performance, memory performance, and floating-point performance compared to earlier Pentiums and Pentium II's, and that all translates to faster gameplay. The performance improvements in these processors are especially accentuated in Rune, which contains much more content (textures, sounds, animations, level geometry) than other 3D action games.

3. The next upgrade that tends to improve Rune performance dramatically is a new video card. We recommend the following cards for best performance (in alphabetical order):

q ATI Radeon Chipset

q Matrox G400 Series Chipset

q Nvidia GeForce Class Chipset (GeForce/GeForce2/GeForceMX, GeForce 2 Ultra)

q VooDoo 4/5 Class Chipset

System Requirements

q Minimum System Requirements:

OS: Windows 95/98/ME, NT (with Service Pack 3 or

higher), 2000

CPU: AMD K6-2 or Intel Pentium II, or Celeron 300Mhz

or higher

RAM: 64MB

Video: Direct X Compatible Video Card with at least

8MB of Video Memory

(3D Accelerator STRONGLY recommended- see

supported modes below)

Sound: Any Direct X Compatible Sound Card (EAX and A3D

Supported)

Disk Space: 100MB Free Hard Drive Space

CD-ROM: 4x

Multiplayer: TCP/IP Connection

Video Modes Supported: Direct 3D, Glide, OpenGL, MeTal, Software

Note that only OpenGL, Glide and Software Rendering supported

on Windows NT

q Recommended System:

OS: WINDOWS 95/98/ME, NT (with Service Pack 3 or

higher), 2000

CPU: AMD Athalon or Intel Pentium III 450Mhz or higher

RAM: 128MB

Video: Nvidia TNT Series/GeForce Series, ATI Rage

128/Radeon, 3dfx Voodoo5,

Matrox G400

Sound: EAX or A3D sound card

Disk Space: 650MB Free Hard Drive Space

CD-ROM: 8X

Multiplayer: TCP/IP Connection via Cable/DSL or T-1/T-3 Line

Controls

Note that all controls can be customized to your liking via the Controls tab of the Options menu. Hit the Escape key to access the game menu.

Keyboard

ESC = menu

W, up arrow = forward

S, down arrow = back

A, left arrow = left

D, right arrow = right

q = throw weapon/ item

e = activate rune power

y = Taunt

c = crouch

space = jump

1 = stow weapon/ item

2 = select sword/ next sword

3 = select club/ next club

4 = select axe/ next axe

F1 = Restart Level

F5 = QuickLoad

F7 = QuickSave

Ctrl = use/ activate item

[ = zoom camera in

] = zoom camera out

Enter = attack

rt Shft = defend

Pause = Pause the game

Network Play Keys

CapsLock: Toggle Scoreboard

Y: Taunt

T: Send Message

R: Send Team Message

Mouse

Mouse:

Lft Btn = attack

Rt Btn = defend

Wheel = camera zoom

Mdl Btn = plant camera (or select enemy)

Although you can rely solely on your keyboard to move around in and interact in Rune's 3D universe, using both the keyboard and mouse simultaneously gives you much more fluid and responsive control.

When you use the mouse to control your rotational movement and aiming you gain a degree of precision and speed that players using keyboard-only controls can't touch. The keyboard is best used for easy lateral and forward/backward movement, and for jumping.

To master the default controls in Rune, keep your left hand on the keyboard, using the arrow keys for movement, the 0-9 keys for weapon selection, and the space bar for jumping. Your right hand operates the mouse, controlling rotation, aiming, and firing. Of course, you can customize these controls to suit your preferences via the Options Menu.

Joystick

You can enable joystick support in Rune through the Options menu (it's off by default). You can use any Direct Input standard joystick or joypad for movement and firing. In addition, Rune has built-in support for the Panther XL joystick that supports dual joystick and trackball play.

Standard joystick controls:

· Move/Rotate: Joystick handle

· Fire: Button 1

· AltFire: Button 2

· Jump: Button 3 (on 4-button joysticks)

· Duck: Button 4 (on 4-button joysticks)

Additional panther XL controls:

· Strafe/Look: Trackball

Internet and LAN games

The minimum speed connection for acceptable Internet play performance is a 56K modem connection to your Internet Service Provider.

When you become disconnected from a Rune server, you are placed in a small holding level (which looks like the mists of time). From there, you can use the menus to reconnect or join a new server.

GamePlay

You can play Rune multiplayer by accessing the Multiplayer menu. The first thing you want to do is to click on the 'Player' tab. Here you can choose your own player name and look.

To play a game, you can either start your own server or join an existing server via the Internet or Local Area Network. To start your own server, click the 'Server' tab. Here you can name your server, choose the game type, rules, settings and mutators. To do this, select a map or maplist, select your settings, and hit the 'Start' button. Others will be able to play either over the Internet or over your LAN. Running a dedicated server is described below under Dedicated Network Servers.

To join a game, click on the 'Join' tab. Here you can select the best game for you to play. Servers can be sorted by their type, rules or ping time. Ping is a measurement of how fast your connection is to a server. Lower numbers are better, and you should play on servers that feature ping times of less than 300. If you encounter a server with a higher ping number, you will encounter very slow play. There are several options under the Join Menu. You can check on the latest news on Rune multiplayer, search for a Local Area Network Server, or search the Internet for the best games via the 'All Servers' Tab. You can further select a server that best matches your style of play by selecting specific Team and Deathmatch servers. Finally, you can select to chat via IRC with other Rune players.

News will show the newest rune happenings and updates.

Known network play issues:

· When a new player enters a network game, clients may experience a 1/4-second pause while the mesh, skin, and other data is loaded for that player. This is by design.

· Rune Internet play performance is highly dependent on the bandwidth of your connection, the latency (ping time), and the packet loss. The game is designed to be nicely playable with up to 200 msec ping times, 5% packet loss, and 56K connection speeds. Performance degrades heavily under worse latency, packet loss, and bandwidth connections.

When switching between levels in a deathmatch game with a frag limit or time limit, players are temporarily moved into the holding level (a small level that looks like the mists of time) for 5-10 seconds while the server switches levels and informs the clients of the level change.

## Dedicated Network Servers

### Explanation

For optimal network play performance, you can launch a dedicated copy of the Rune server on a computer. This improves performance compared to using a non-dedicated server but, of course, it ties up a PC.

Anybody may freely run dedicated servers on the Internet; you don't need to get permission or fill out any paperwork.

### Launching

You can launch a dedicated server by going through the regular Rune "Server" tab of the "Multiplayer" menu, setting the appropriate options, then hitting the "Dedicated" button. This is what you'll want to do for quick LAN games where you have an extra machine sitting around that can act as a dedicated server.

Alternatively, you can launch a dedicated server from the command line by running Rune.exe directly (which usually resides in the c:\Rune\System directory, or the System subdirectory of whatever other directory you installed the game in). For example, to launch the level "DM-Zeto.run", run:

Rune.exe DM-Hel.run -server

### Multiple Servers Per Machine

Each copy of the dedicated server can serve one and only one level at a time.

However, you can run multiple level servers on one machine. To do this, you must give each server a unique TCP/IP port number. The default port number is 7777. To specify a port, use the following kind of command line:

Rune.exe DM-Hel.run port=7778 -server

### General performance guidelines

We find that a 400 MHz Pentium II can usually handle about 16 players with decent performance. The performance varies with level complexity and other machine speed factors, so your mileage may differ. Note that there is no absolute maximum player limit in the game; performance simply degrades as the number of players grows huge.

If you're running multiple levels simultaneously, Windows NT outperforms Windows 95 because of its superior multitasking and TCP/IP processing capabilities.

For best performance, we recommend having 64 megabytes of memory per running level. For example, for running 4 simultaneous levels, 256 megabytes is ideal.

The Rune server uses up at least 28.8Kbits per second of outgoing bandwidth per player (on Internet), so if you run the server on a machine connected by a 28.8K modem, you'll only be able to support one client with decent performance. Dedicated servers that support many players generally require the outgoing bandwidth of a T1 line or better.

---

The Editor

We do have an editor, called RuneEd. The editor is included on the game disk AS IS. Look for updates and tutorials on www.runegame.com for details on how to best use the editor to create your own levels and weapons for Rune. Rune uses a modified version of UnrealEd, version 1 called RuneEd. Some users may encounter problems running RuneEd. Because of some instability issues with the original UnrealEd, you may need to update RuneEd using the fix file (UnrealEdFix4.exe) for the original UnrealEd provided by Epic Games. You can obtain this fix by clicking the link directly or via these websites:

http://unreal.epicgames.com/UnrealEd.htm

http://www.runegame.com/support.php

To run the fix- Download the file and run the executable. Change the install directory to C:\Rune where C is the drive you installed Rune to (this is not imperative, but if you do not do this, the installer will place an Unreal directory on your machine.) The installer will place certain fixes into your Windows directory.

To run RuneEdit, click on 'Rune Editor' from the Rune directory in your Start menu, or double-click the 'RuneEd.exe' icon in the Rune/System directory.

---

Credits

Rune Game Credits:

Dedicated to the Memory of Gene Rhinehart (1950-1999)

Programming Lead

Paul MacArthur

Art Manager

Ted Halsted

Business Director

Timothy S. Gerritsen

Programmers

Paul MacArthur

Chris Rhinehart

Additional Programming

Mike Craddick

Ben Gokey

Design

Human Head Studios, Incorporated

Level Design

Mick Beard

Dave Halsted

Ted Halsted

Jim Sumwalt

Additional Level Design

Greg Marshall

Animation

Jeff DeWitt

Nathaniel Albright

Environmental Textures

Greg Marshall

Character Textures

Tim Bowman

3D Modeling

Shane Gurno

Concept Art

Tim Bowman

Jeff DeWitt

Shane Gurno

Ted Halsted

Greg Marshall

Jim Sumwalt

Loreguide

Seth Johnson

Original Concept

Ted Halsted

PR and Marketing Support

Tim Gerritsen

Trish 'Kazi Wren' Harris

Chad Savage

Historical Advisor

Laurie Wise

Viking Ship Model By:

John Falgate

Additional Animation

Mike Werckle

Rune Audio Credits:

Direction and Production:

Michael Larson

Sound Effects

Michael Larson

Music

Jim B-Reay

Romulus Mars Priscus

Michael Larson

Voice Overs

Lee Ernst

Ted Halsted

Michael Larson

Tejumola F Ologboni

Sue Quinn

Nick Skrowaczewski

Dialog

Ted Halsted

Seth Johnson

Thanks

Kenny Stoll

Sean Wipfli

Larry Hill

# Published By Gathering of Developers:

# Licensing/PR

# Mike Wilson

Producer

Josh Galloway

PR

Lori Mezoff, Andrea Schneider, Jeff Smith

#

# International Partnering

# Harry Miller

Marketing

Jim Bloom, Mike Wilson, Devin Winterbottom, Jenny Jemison, Toni Devaldenbro

Sales

David Gershik

Audio/Visual Production

Doug Myres

####

#### Checkwriter

#### Rick Stults

Writer

William Haskins

Online Support

Jordan Allen, Mike Donahue, Ian Armstrong, Jerry Wolski, Scott Dudley, Scott Farrell

QA/Tech Support

Rich Vos

Administrative

Joanna Carr-Brown Franke

Gathering of Developers Testers

# Jason Birdwell

Shane Love

Jerrod Lai

Special thanks to Epic Games for their support and assistance.

Thanks to all our family and friends for all their support. To the wives, girlfriends, fiancés and friends that still love us even though we don't get home much, we couldn't have made this a reality without you.

Thanks for the Runestones and Axes

Reginleif and Kirby Wise

Thanks for the OpenGL fix to:

Daniel Vogel/Loki Software

Thanks to the Human Head Beta Testers:

Brandi Quamme

Dan Baker

Eric Peters

John Kasab

Jonathan Leitheusser

Kevin Tritz

Louise Beard

Paul Tutcher

Scott Rammer

Seth Johnson

Travis Soumis